Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::FormatPostingsPositionsConsumer Class Referenceabstract

`#include <FormatPostingsPositionsConsumer.h>`

Inheritance diagram for Lucene::FormatPostingsPositionsConsumer:

## Public Member Functions

virtual | ~FormatPostingsPositionsConsumer ()
virtual String | getClassName ()
boost::shared_ptr< FormatPostingsPositionsConsumer > | shared_from_this ()
virtual void | addPosition (int32_t position, ByteArray payload, int32_t payloadOffset, int32_t payloadLength)=0
| Add a new position & payload. If payloadLength > 0 you must read those bytes from the IndexInput. More...
virtual void | finish ()=0
| Called when we are done adding positions & payloads. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

virtual Lucene::FormatPostingsPositionsConsumer::~FormatPostingsPositionsConsumer | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::FormatPostingsPositionsConsumer::_getClassName | ( |  | ) |

inline static

virtual void Lucene::FormatPostingsPositionsConsumer::addPosition | ( | int32_t | position,
|  | ByteArray | payload,
|  | int32_t | payloadOffset,
|  | int32_t | payloadLength
| ) |  |

pure virtual

Add a new position & payload. If payloadLength > 0 you must read those bytes from the IndexInput.

Implemented in Lucene::FormatPostingsPositionsWriter.

virtual void Lucene::FormatPostingsPositionsConsumer::finish | ( |  | ) |

pure virtual

Called when we are done adding positions & payloads.

Implemented in Lucene::FormatPostingsPositionsWriter.

virtual String Lucene::FormatPostingsPositionsConsumer::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::FormatPostingsPositionsWriter.

boost::shared_ptr< FormatPostingsPositionsConsumer > Lucene::FormatPostingsPositionsConsumer::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- FormatPostingsPositionsConsumer.h

clucene.sourceforge.net